PDF browser plugin crash

RESOLVED WORKSFORME

Status

()

Core
Plug-ins
--
critical
RESOLVED WORKSFORME
7 years ago
4 years ago

People

(Reporter: Alexander V Ljubimov, Unassigned)

Tracking

({crash})

18 Branch
x86
Mac OS X
crash
Points:
---

Firefox Tracking Flags

(firefox18 affected)

Details

(crash signature, URL)

(Reporter)

Description

7 years ago
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:7.0.1) Gecko/20100101 Firefox/7.0.1
Build ID: 20110928134238

Steps to reproduce:

went to PubMed search (NIH database) and tried to open a pdf file from www.sciencedirect.com (Elsevier journals). 


Actual results:

PDF browser plugin 2.4.2 crashes on two different computers running OS X 10.7.1 (new page opens with gray background and with a message "PDF browser plugin has crashed"). When PDF helper application is changed to PDF browser plugin.plugin a new blank page opens. PDF files from other sites display correctly within the browser. When helper application is changed to Adobe Reader, the file downloads and opens up in Reader. Firefox, Safari, iCab do not show this behavior and open all PDF files correctly within the browser. Same crash on SeaMonkey 2.5 beta. 


Expected results:

a PDF file should have opened within the browser

Comment 1

7 years ago
Might you need to be logged in, have paid, in order for the PDF link to show up?
If that's so, any other URLs that cause this crash?

Do plugincontainer related crashes get logged in about:crashes?
If so, what is the relevant crash report number?
(Reporter)

Comment 2

7 years ago
You are right, for these PDF files to show up, you need to log in (I do it initially through a proxy server). If this is important, I am ready to supply you my login credentials for testing (with a university proxy server). Elsevier sites work flawlessly on other Mozilla browsers. In fact, something may be related to Lion because on my wife's computer running Snow Leopard (10.6.8) and old SeaMonkey 1.1.8 everything is displayed correctly. If I could download the old version and test it, I would tell you whether this is a Lion issue or SeaMonkey. 

The crash report (this time SeaMonkey crashed) is like this (see below) and has been sent to Mozilla:
AdapterRendererIDs: 0x22600,0x22600,0x20400
Add-ons: inspector@mozilla.org:2.0.10,{59c81df5-4b7a-477b-912d-4e0fdf64e5f2}:0.9.87,{f13b157f-b174-47e7-a34d-4815ddfdfeb8}:0.9.88.2,{972ce4c6-7e08-4474-a285-3208198ce6fd}:2.4.1
BuildID: 20110928154534
CrashTime: 1318435721
EMCheckCompatibility: true
Email: 
FramePoisonBase: 00000000f0dea000
FramePoisonSize: 4096
InstallTime: 1317367699
Notes: Renderers: 0x22600,0x22600,0x20400
ProductName: SeaMonkey
ReleaseChannel: release
SecondsSinceLastCrash: 371495
StartupTime: 1318433224
Theme: classic/1.0
Throttleable: 1
Vendor: Mozilla
Version: 2.4.1

This report also contains technical information about the state of the application when it crashed.

Comment 4

7 years ago
Alexander, go to about:crashes
You'll get a list of clickable links.
Click on the most recent link(s).
Paste the resulting webpage URLs in a comment here.
Thanks.
(Reporter)

Comment 5

7 years ago
Philip, please tell me where this about:crashes is. Could not find this link.
I have tested the version 1.1.18 under Lion 10.7.2. It opens a blank page for ANY pdf. Under Snow Leopard it works perfectly, opening a pdf within the browser. I noticed that in the helper applications of 1.1.18 Schubert's plugin is listed as PDF browser plugin.plugin. However, in the 2.4.1/2.5 beta versions, the same plugin is listed twice as different helper apps: one as before (PDF browser plugin.plugin; when enabled it also produces blank pages instead of opening pdf files), and the other as PDF browser plugin 2.4.2. The latter, when enabled, crashes SeaMonkey now (not just crashes itself). I am including the Console crash report just in case (for some reason, today's reports were not listed in the Console log.
Process:         plugin-container [15119]
Path:            /Applications/SeaMonkey.app/Contents/MacOS/plugin-container.app/Contents/MacOS/plugin-container
Identifier:      org.mozilla.plugincontainer
Version:         ??? (1.0)
Code Type:       X86 (Native)
Parent Process:  seamonkey-bin [15109]

Date/Time:       2011-10-06 00:01:04.044 -0700
OS Version:      Mac OS X 10.7.1 (11B26)
Report Version:  9

Interval Since Last Report:          26605 sec
Crashes Since Last Report:           6
Per-App Interval Since Last Report:  53515 sec
Per-App Crashes Since Last Report:   6
Anonymous UUID:                      B0F6D177-3FA5-42C4-A43D-B239EB0499BE

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000000

VM Regions Near 0:
--> __PAGEZERO             0000000000000000-0000000000001000 [    4K] ---/--- SM=NUL  /Applications/SeaMonkey.app/Contents/MacOS/plugin-container.app/Contents/MacOS/plugin-container
    __TEXT                 0000000000001000-0000000000002000 [    4K] r-x/rwx SM=COW  /Applications/SeaMonkey.app/Contents/MacOS/plugin-container.app/Contents/MacOS/plugin-container

Application Specific Information:
objc[15119]: garbage collection is OFF

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.schubert-it.internet-plugin.pdf	0x0252c7f3 PPlugin::HandleActivateEvent(unsigned char) + 51
1   com.schubert-it.internet-plugin.pdf	0x025476c1 0x2500000 + 292545
2   com.schubert-it.internet-plugin.pdf	0x02501e1e NPP_HandleEvent + 94
3   XUL                           	0x00e869d4 nsPrintSession::Release() + 378516

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0   libsystem_kernel.dylib        	0x93e2d90a kevent + 10
1   libdispatch.dylib             	0x9856dccc _dispatch_mgr_invoke + 969
2   libdispatch.dylib             	0x9856c71b _dispatch_mgr_thread + 53

Thread 2:
0   libsystem_kernel.dylib        	0x93e2ac22 mach_msg_trap + 10
1   libsystem_kernel.dylib        	0x93e2a1f6 mach_msg + 70
2   XUL                           	0x000449fb catch_exception_raise + 2283
3   libsystem_c.dylib             	0x90b9d6de thread_start + 34

Thread 3:
0   libsystem_kernel.dylib        	0x93e2d02e __workq_kernreturn + 10
1   libsystem_c.dylib             	0x90b9bccf _pthread_wqthread + 773
2   libsystem_c.dylib             	0x90b9d6fe start_wqthread + 30

Thread 4:
0   libsystem_kernel.dylib        	0x93e2d90a kevent + 10
1   XUL                           	0x00fd29c0 NS_InvokeByIndex_P + 106032

Thread 5:
0   libsystem_kernel.dylib        	0x93e2d02e __workq_kernreturn + 10
1   libsystem_c.dylib             	0x90b9bccf _pthread_wqthread + 773
2   libsystem_c.dylib             	0x90b9d6fe start_wqthread + 30

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x0215bf00  ebx: 0x00000000  ecx: 0x00000000  edx: 0x00000000
  edi: 0x02158e50  esi: 0x02159070  ebp: 0xbfffd318  esp: 0xbfffd2f0
   ss: 0x00000023  efl: 0x00010202  eip: 0x0252c7f3   cs: 0x0000001b
   ds: 0x00000023   es: 0x00000023   fs: 0x00000000   gs: 0x0000000f
  cr2: 0x00000000
Logical CPU: 0

Binary Images:
    0x1000 -     0x1ff7 +org.mozilla.plugincontainer (??? - 1.0) <BA08277B-C485-FFF9-34A4-7A48BC6A0325> /Applications/SeaMonkey.app/Contents/MacOS/plugin-container.app/Contents/MacOS/plugin-container
    0x4000 -     0x4ff7 +libplugin_child_interpose.dylib (??? - ???) <49316C42-DB7D-E896-FD70-B6BE8939E6F5> /Applications/SeaMonkey.app/Contents/MacOS/libplugin_child_interpose.dylib
    0x8000 -     0xafff  com.apple.ExceptionHandling (1.5 - 10) <6CA9446C-7EF9-35EE-BDF2-AA8D51E93E9E> /System/Library/Frameworks/ExceptionHandling.framework/Versions/A/ExceptionHandling
   0x10000 -    0x10ff7 +libxpcom.dylib (??? - ???) <0C3EAC84-46EF-ADB0-014D-0A11B5CA035D> /Applications/SeaMonkey.app/Contents/MacOS/libxpcom.dylib
   0x15000 -    0x15ff7 +libmozalloc.dylib (??? - ???) <0CB21C00-21B7-E381-3FED-AB2D0EB1D590> /Applications/SeaMonkey.app/Contents/MacOS/libmozalloc.dylib
   0x18000 -  0x19a2ffb +XUL (??? - ???) <196136D7-CA2F-16B5-2A5E-B3EBDCFB05B6> /Applications/SeaMonkey.app/Contents/MacOS/XUL
 0x1d43000 -  0x1d48fff +libplds4.dylib (??? - ???) <A6D79909-A702-5430-9E20-21978A67433A> /Applications/SeaMonkey.app/Contents/MacOS/libplds4.dylib
 0x1d4b000 -  0x1d51fff +libplc4.dylib (??? - ???) <B0BDDFDC-3F69-E8E6-09DF-8FC797141A73> /Applications/SeaMonkey.app/Contents/MacOS/libplc4.dylib
 0x1d55000 -  0x1d7ffef +libnspr4.dylib (??? - ???) <40D1C4E7-48B8-4CBB-4E1E-64E1D90C233B> /Applications/SeaMonkey.app/Contents/MacOS/libnspr4.dylib
 0x1d8e000 -  0x1e09fe7 +libmozsqlite3.dylib (??? - ???) <DDE03039-68AA-2B9A-8A58-246D31797DD8> /Applications/SeaMonkey.app/Contents/MacOS/libmozsqlite3.dylib
 0x1e13000 -  0x1e2aff7 +libsmime3.dylib (??? - ???) <AA777335-8D6C-8AB6-F7DF-BE5443D0E681> /Applications/SeaMonkey.app/Contents/MacOS/libsmime3.dylib
 0x1e38000 -  0x1e65ff7 +libssl3.dylib (??? - ???) <2BC3BDF4-30B5-7AEC-CE40-85C1C90A35E0> /Applications/SeaMonkey.app/Contents/MacOS/libssl3.dylib
 0x1e72000 -  0x1f2fff7 +libnss3.dylib (??? - ???) <55DABF2B-B1D8-0C6E-2D14-55725539820E> /Applications/SeaMonkey.app/Contents/MacOS/libnss3.dylib
 0x1f54000 -  0x1f61ff7 +libnssutil3.dylib (??? - ???) <E6F3F850-7249-9E06-C853-651EE82CE59E> /Applications/SeaMonkey.app/Contents/MacOS/libnssutil3.dylib
 0x1f6c000 -  0x1f94fff +libldap60.dylib (??? - ???) <B244BC70-85BF-4FC2-4516-808348E62AF3> /Applications/SeaMonkey.app/Contents/MacOS/libldap60.dylib
 0x1f9d000 -  0x1fa3fff +libprldap60.dylib (??? - ???) <5C43F556-D6FB-1314-785E-506591477DA8> /Applications/SeaMonkey.app/Contents/MacOS/libprldap60.dylib
 0x1fa7000 -  0x1fabfff +libldif60.dylib (??? - ???) <BE62ABC5-983C-0402-9E00-FA9F86135567> /Applications/SeaMonkey.app/Contents/MacOS/libldif60.dylib
 0x1fae000 -  0x205bff7  libcrypto.0.9.7.dylib (0.9.7 - compatibility 0.9.7) <7B6DB792-C9E5-3772-8734-8D0052757B8C> /usr/lib/libcrypto.0.9.7.dylib
 0x2500000 -  0x2564ff3 +com.schubert-it.internet-plugin.pdf (2.4.2 - 2.4.2) <D22D43A1-E057-3B27-8467-C8CCBF8CB0C0> /Library/Internet Plug-Ins/PDF Browser Plugin.plugin/Contents/MacOS/PDF Browser Plugin
0x8fe43000 - 0x8fe759c7  dyld (195.5 - ???) <134323A7-49DC-3A9D-ACFD-32FAD0FD6BA2> /usr/lib/dyld
0x90005000 - 0x90006ff5  libremovefile.dylib (21.0.0 - compatibility 1.0.0) <9A1E12B7-F822-3544-8E1D-A6DC81E1F2E6> /usr/lib/system/libremovefile.dylib
0x90007000 - 0x902b8ff7  com.apple.security (7.0 - 55010) <28168576-1B8C-3FE8-9356-DE79390A480A> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x90336000 - 0x90344fff  libz.1.dylib (1.2.5 - compatibility 1.0.0) <E73A4025-835C-3F73-9853-B08606E892DB> /usr/lib/libz.1.dylib
0x90345000 - 0x903dcff3  com.apple.securityfoundation (5.0 - 55005) <F5A98CC2-11C6-34F3-8F72-75B642627630> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9044c000 - 0x9049dff3  com.apple.CoreMediaIO (201.0 - 3148) <C37D84D8-69B2-3375-B988-4EEB2B1A3DF4> /System/Library/Frameworks/CoreMediaIO.framework/Versions/A/CoreMediaIO
0x9049e000 - 0x904dafff  libcups.2.dylib (2.9.0 - compatibility 2.0.0) <8CB51735-ABE4-37AD-9019-845BB768955F> /usr/lib/libcups.2.dylib
0x904e9000 - 0x904eaff7  libsystem_sandbox.dylib (??? - ???) <BC0A04E9-4F28-3BC8-AA7B-63C3451E9212> /usr/lib/system/libsystem_sandbox.dylib
0x904eb000 - 0x907ebfff  com.apple.CoreServices.CarbonCore (960.13 - 960.13) <E098AC3A-E795-3C28-BA92-EED51C461A6F> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x907ec000 - 0x90849ffb  com.apple.htmlrendering (76 - 1.1.4) <743C2943-40BC-36FB-A45C-3421A394F081> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x9084d000 - 0x90876ffe  com.apple.opencl (1.50.62 - 1.50.62) <52059AB5-8E0D-356E-98AA-71A4777CBE57> /System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL
0x90877000 - 0x90878fff  libsystem_blocks.dylib (53.0.0 - compatibility 1.0.0) <B04592B1-0924-3422-82FF-976B339DF567> /usr/lib/system/libsystem_blocks.dylib
0x90879000 - 0x9087cfff  com.apple.AppleSystemInfo (1.0 - 1) <D2F60873-ECB1-30A8-A02E-E772F969116E> /System/Library/PrivateFrameworks/AppleSystemInfo.framework/Versions/A/AppleSystemInfo
0x9087d000 - 0x9087efff  com.apple.TrustEvaluationAgent (2.0 - 1) <EABDA7EE-A98F-35B8-9E3E-7075BA651C68> /System/Library/PrivateFrameworks/TrustEvaluationAgent.framework/Versions/A/TrustEvaluationAgent
0x90964000 - 0x90966ff7  libdyld.dylib (195.5.0 - compatibility 1.0.0) <637660EA-8D12-3B79-B644-041FEADC9C33> /usr/lib/system/libdyld.dylib
0x90967000 - 0x90b00ff7  com.apple.CoreData (103 - 358.4) <EB07F3A5-6301-3DA4-96FC-F8381D148C69> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x90b3d000 - 0x90c08fff  libsystem_c.dylib (763.11.0 - compatibility 1.0.0) <44AA09FD-3A8F-3DCF-AD98-BC9071CA7376> /usr/lib/system/libsystem_c.dylib
0x90c09000 - 0x90c77fff  com.apple.Heimdal (2.1 - 2.0) <5BA5BFA4-0B05-3B00-AF06-C3D0D60F36BC> /System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal
0x90c78000 - 0x90c82ff2  com.apple.audio.SoundManager (3.9.4 - 3.9.4) <D23C4761-6492-3974-B4D2-495082B8B7A6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x90c83000 - 0x9103bffb  com.apple.SceneKit (2.0 - 124) <D1B359EA-7637-31D0-800E-8E816B1F4475> /System/Library/PrivateFrameworks/SceneKit.framework/Versions/A/SceneKit
0x9103c000 - 0x91040ff3  libsystem_network.dylib (??? - ???) <E1455F3E-549B-3D50-A38B-17B394F3C7F6> /usr/lib/system/libsystem_network.dylib
0x91041000 - 0x91344ff7  com.apple.Foundation (6.7 - 833.1) <94BFFEDD-0676-368D-B4C6-8784E1DA4306> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x91347000 - 0x9137dff7  com.apple.AE (527.6 - 527.6) <77999151-94E3-37CD-A49E-7A9F9084F886> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9137e000 - 0x913e2fff  com.apple.framework.IOKit (2.0 - ???) <B5888D02-8C36-3404-A37E-7457D950D629> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x913e3000 - 0x9144dff3  com.apple.CoreSymbolication (2.1 - 66) <B11C9057-1611-36A5-81F6-2C97A7047321> /System/Library/PrivateFrameworks/CoreSymbolication.framework/Versions/A/CoreSymbolication
0x9144e000 - 0x914c9ffb  com.apple.ApplicationServices.ATS (5.0 - ???) <8DF22F1E-7600-3ADA-BFC1-F6FA79914171> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x914ca000 - 0x914ddff9  com.apple.MultitouchSupport.framework (220.62 - 220.62) <5BD8730D-43A4-3040-9EA3-0BDA52A392A9> /System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x914de000 - 0x914e0ff9  com.apple.securityhi (4.0 - 1) <BD367302-73C3-32F4-8080-E389AE89E434> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x914e1000 - 0x914e1ffe  libkeymgr.dylib (23.0.0 - compatibility 1.0.0) <7F0E8EE2-9E8F-366F-9988-E2F119DB9A82> /usr/lib/system/libkeymgr.dylib
0x915d0000 - 0x915d3ffc  libpam.2.dylib (3.0.0 - compatibility 3.0.0) <6FFDBD60-5EC6-3EFA-996B-EE030443C16C> /usr/lib/libpam.2.dylib
0x915e0000 - 0x915ebffc  com.apple.NetAuth (1.0 - 3.0) <C07853C0-AF32-3633-9CEF-2480860C12C5> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
0x915ec000 - 0x91690fff  com.apple.QD (3.12 - ???) <68CBE425-43BA-3E6D-8668-A4A67396E20D> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91691000 - 0x917e3ffb  com.apple.audio.toolbox.AudioToolbox (1.7 - 1.7) <5767C518-343D-36DB-8D59-C72986161AEC> /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x917e4000 - 0x92269ffe  com.apple.AppKit (6.7 - 1138) <1CEDE402-32DD-3C10-B3B3-8C3DDBE8335D> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9226a000 - 0x925a9ff3  com.apple.HIToolbox (1.7 - ???) <A9583F07-218D-35CD-B29C-C65E6D008836> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x925aa000 - 0x925f9ffb  com.apple.AppleVAFramework (5.0.14 - 5.0.14) <51981B76-9A78-39D7-8709-7686BD2057C8> /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
0x925fa000 - 0x92600ffb  com.apple.print.framework.Print (7.0 - 247) <1140BB03-0720-308F-8D92-F71B347D63D6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x92601000 - 0x926c1ff3  com.apple.ColorSync (4.7.0 - 4.7.0) <50767823-56BA-373D-BC5A-37B17B659838> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x926cc000 - 0x926e6fff  com.apple.Kerberos (1.0 - 1) <25E5A286-876D-3A8E-A12F-52D184559E8C> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x926e7000 - 0x926eeff5  libsystem_dnssd.dylib (??? - ???) <B3217FA8-A7D6-3C90-ABFC-2E54AEF33547> /usr/lib/system/libsystem_dnssd.dylib
0x926ef000 - 0x92918ffb  com.apple.QuartzComposer (5.0 - 232) <B25A191A-B96D-3BB0-B7D5-FDE4A97DFD06> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x92919000 - 0x92aeffef  com.apple.CoreFoundation (6.7 - 635) <4EE0D62E-5342-3A9F-A740-DA1D5AEBB1B0> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x92b24000 - 0x92b25fff  liblangid.dylib (??? - ???) <C8C204E9-1785-3785-BBD7-22D59493B98B> /usr/lib/liblangid.dylib
0x92b26000 - 0x92b3fffb  com.apple.frameworks.preferencepanes (15.0 - 15.0) <2DFCA1EB-E90F-305A-823B-D73D0104951B> /System/Library/Frameworks/PreferencePanes.framework/Versions/A/PreferencePanes
0x92ea4000 - 0x92ea4fff  com.apple.Cocoa (6.6 - ???) <650273EF-1ABC-334E-B745-B75AF028F9F4> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93000000 - 0x93036fff  com.apple.DebugSymbols (2.1 - 85) <0F996A4A-16A7-3C90-8037-0E2958D1FB16> /System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x93037000 - 0x9309fff3  com.apple.ISSupport (1.9.8 - 56) <963339C2-020F-337E-AFB9-176090F818EC> /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x936ad000 - 0x936afffb  libRadiance.dylib (??? - ???) <5112B7CE-BAAF-3E98-94E4-676BCB92867F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x936b0000 - 0x936b5ff7  libmacho.dylib (800.0.0 - compatibility 1.0.0) <56A34E97-518E-307E-8218-C5D43A33EE34> /usr/lib/system/libmacho.dylib
0x936b6000 - 0x936d9fff  com.apple.CoreVideo (1.7 - 70.0) <0CBE6F3B-34C7-3C6B-9BB1-826F9905ECC1> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x93a04000 - 0x93a04fff  com.apple.quartzframework (1.5 - 1.5) <EF66BF08-620E-3D11-87D4-35D0B0CD1F6D> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x93a05000 - 0x93a21ff5  com.apple.GenerationalStorage (1.0 - 124) <0BC29510-6C26-3445-88B7-21502CAFF372> /System/Library/PrivateFrameworks/GenerationalStorage.framework/Versions/A/GenerationalStorage
0x93ac5000 - 0x93b27ff3  libstdc++.6.dylib (52.0.0 - compatibility 7.0.0) <266CE9B3-526A-3C41-BA58-7AE66A3B15FD> /usr/lib/libstdc++.6.dylib
0x93b28000 - 0x93b8ffff  libc++.1.dylib (19.0.0 - compatibility 1.0.0) <3AFF3CE8-14AE-300F-8F63-8B7FB9D4DA96> /usr/lib/libc++.1.dylib
0x93b90000 - 0x93cf2fff  com.apple.QTKit (7.7.1 - 2246) <3BFE9BE6-4DDD-3D21-9695-0ECE773128E6> /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x93cf3000 - 0x93e13fec  com.apple.vImage (5.0 - 5.0) <173F6343-07EE-39F7-A159-DD3837E473DE> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x93e14000 - 0x93e32ff7  libsystem_kernel.dylib (1699.22.73 - compatibility 1.0.0) <D32C2E9C-8184-3FAF-8694-99FC619FC71B> /usr/lib/system/libsystem_kernel.dylib
0x93e3d000 - 0x93e41ffd  IOSurface (??? - ???) <97E875C2-9F1A-3FBA-B80C-594892A02621> /System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface
0x93e42000 - 0x93e46ff7  com.apple.OpenDirectory (10.7 - 144) <A117580D-FD86-381E-82FD-B1A040045031> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
0x93e47000 - 0x93ea3ff3  com.apple.Symbolication (1.2 - 83.1) <E651A2F1-CC13-3DDD-9B0A-09180014966B> /System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication
0x93ea4000 - 0x93f9cff7  libFontParser.dylib (??? - ???) <C428D41A-8635-3423-A2F0-8BA9819F212B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontParser.dylib
0x93ff2000 - 0x93ff8ffd  com.apple.CommerceCore (1.0 - 17) <71641C17-1CA7-3AC9-974E-AAC9EB641035> /System/Library/PrivateFrameworks/CommerceKit.framework/Versions/A/Frameworks/CommerceCore.framework/Versions/A/CommerceCore
0x94011000 - 0x94120ff7  libsqlite3.dylib (9.6.0 - compatibility 9.0.0) <01987A45-9270-30FD-8A67-5E53DB637909> /usr/lib/libsqlite3.dylib
0x94121000 - 0x94149ff0  com.apple.CoreServicesInternal (113.7 - 113.7) <F5724FAC-8BB8-3F0F-B8BC-36F2CA75A23D> /System/Library/PrivateFrameworks/CoreServicesInternal.framework/Versions/A/CoreServicesInternal
0x94170000 - 0x9423fffb  com.apple.ImageIO.framework (3.1.0 - 3.1.0) <A482C10A-C474-39DC-AB3C-EADBCF3A433B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x94240000 - 0x94247ffd  com.apple.NetFS (4.0 - 4.0) <D0D59145-D211-3E7C-9062-35A2833FA99B> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
0x94374000 - 0x94399ff9  libJPEG.dylib (??? - ???) <5872B388-D6CC-3DD4-A2F3-8BB464E83D14> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x944c3000 - 0x944c3fff  libdnsinfo.dylib (395.6.0 - compatibility 1.0.0) <959E5139-EB23-3529-8881-2BCB5724D1A9> /usr/lib/system/libdnsinfo.dylib
0x944d3000 - 0x94758fe3  com.apple.QuickTime (7.7.1 - 2246) <56DF434A-D929-350C-86D5-684089D0EDFB> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94841000 - 0x94851ff7  libCRFSuite.dylib (??? - ???) <CE616EF3-756A-355A-95AD-3472A876BEB9> /usr/lib/libCRFSuite.dylib
0x94852000 - 0x94935ff7  libcrypto.0.9.8.dylib (0.9.8 - compatibility 0.9.8) <6E631200-1E22-37B9-85D1-EC40520891AB> /usr/lib/libcrypto.0.9.8.dylib
0x94936000 - 0x94939ff7  libcompiler_rt.dylib (6.0.0 - compatibility 1.0.0) <7F6C14CC-0169-3F1B-B89C-372F67F1F3B5> /usr/lib/system/libcompiler_rt.dylib
0x9493a000 - 0x94c96fff  com.apple.MediaToolbox (1.0 - 705.35) <425BD613-CB66-3BE1-8DDC-1B59561A1F5F> /System/Library/PrivateFrameworks/MediaToolbox.framework/Versions/A/MediaToolbox
0x94c97000 - 0x94f08ffb  com.apple.CoreImage (7.77 - 1.0.1) <DF1D9EB7-5879-3EA2-8CF5-80004DAC18BC> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/CoreImage.framework/Versions/A/CoreImage
0x94f09000 - 0x94f59ff9  com.apple.QuickLookFramework (3.0 - 489.1) <46E053F5-E7CC-3358-93AF-635837E4ECCA> /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x94f5a000 - 0x95178ff7  com.apple.imageKit (2.1 - 1.0) <0B16E64D-597C-3ECE-8076-7991AF7D6820> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x952a4000 - 0x952a4ff0  com.apple.ApplicationServices (41 - 41) <BED33E1D-C95C-3654-9A3A-0CB3607F9F10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x952a5000 - 0x952afff0  com.apple.DirectoryService.Framework (10.7 - 144) <8F1D20D2-300A-3CC8-BDD0-C79CE0B2BA3A> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x952b0000 - 0x952cdfff  libresolv.9.dylib (46.0.0 - compatibility 1.0.0) <95AE43ED-6C52-3B39-89B6-54C81C62F1FF> /usr/lib/libresolv.9.dylib
0x952ce000 - 0x9530cfff  com.apple.NavigationServices (3.6 - 192) <CB7AE807-9292-3EBA-A5F5-D7DCEE28A5B7> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x95336000 - 0x95337ff0  libunc.dylib (24.0.0 - compatibility 1.0.0) <BCD277D0-4271-3E96-A4A2-85669DBEE2E2> /usr/lib/system/libunc.dylib
0x95389000 - 0x95446ff3  ColorSyncDeprecated.dylib (4.6.0 - compatibility 1.0.0) <30A67F4F-80BC-39AD-9BB3-23FB8E3174FC> /System/Library/Frameworks/ApplicationServices.framework/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDeprecated.dylib
0x95447000 - 0x95469ffe  com.apple.framework.familycontrols (3.0 - 300) <AE51B604-D32D-32F7-AEDC-B1C4EB7191C6> /System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls
0x95476000 - 0x954a4fe7  libSystem.B.dylib (159.0.0 - compatibility 1.0.0) <FA9B75F7-B989-3DD3-97FD-373EB95C5BA8> /usr/lib/libSystem.B.dylib
0x954a5000 - 0x954b9ff7  com.apple.CFOpenDirectory (10.7 - 144) <665CDF77-F0C9-3AFF-8CF8-64257268B7DD> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
0x95b55000 - 0x95ba3ff3  com.apple.ImageCaptureCore (3.0 - 3.0) <16B80ABD-DCDA-34AA-A539-F36A4D39CB03> /System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore
0x95baf000 - 0x95bb7ff3  libunwind.dylib (30.0.0 - compatibility 1.0.0) <E8DA8CEC-12D6-3C8D-B2E2-5D567C8F3CB5> /usr/lib/system/libunwind.dylib
0x95bb8000 - 0x95ce1ff9  com.apple.CFNetwork (520.0.13 - 520.0.13) <B21DE9ED-1D99-39C0-9E24-77D2A48FBFEF> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x95ce7000 - 0x95cefff5  libcopyfile.dylib (85.1.0 - compatibility 1.0.0) <A1BFC320-616A-30AA-A41E-29D7904FC4C7> /usr/lib/system/libcopyfile.dylib
0x95d5d000 - 0x95d9dff7  libauto.dylib (??? - ???) <36E7FE7F-27DF-3301-80AA-DD61FBF722F4> /usr/lib/libauto.dylib
0x967c3000 - 0x967e9ffb  com.apple.quartzfilters (1.7.0 - 1.7.0) <9C8F1F3D-D570-3F5C-9B31-5B5B82161CDE> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x967ea000 - 0x96876ff7  com.apple.CoreText (4.0.0 - ???) <2ADB0C1E-FE27-371C-8EC3-69D5CFEA2BE7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x96877000 - 0x9687bfff  com.apple.CommonPanels (1.2.5 - 94) <3A988595-DE53-34ED-9367-C9A737E2AF38> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x96882000 - 0x96885ff7  libmathCommon.A.dylib (2026.0.0 - compatibility 1.0.0) <69357047-7BE0-3360-A36D-000F55E39336> /usr/lib/system/libmathCommon.A.dylib
0x96886000 - 0x96891ff3  libCSync.A.dylib (600.0.0 - compatibility 64.0.0) <11726E50-E6FC-3AB0-8750-DDDCCF2B8534> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x96892000 - 0x96ef765b  com.apple.CoreGraphics (1.600.0 - ???) <DD3B7ADA-0F19-371E-BB87-F3C08464134A> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x96ef8000 - 0x96f5affb  com.apple.datadetectorscore (3.0 - 179.3) <18117942-9D6F-3283-B8B0-03C7550CA2EB> /System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore
0x96f5b000 - 0x96f7bfff  com.apple.framework.internetaccounts (1.0 - 1) <81784495-964C-3814-A3AC-24C15A033C6E> /System/Library/PrivateFrameworks/InternetAccounts.framework/Versions/A/InternetAccounts
0x96fa8000 - 0x96fdeff4  com.apple.LDAPFramework (3.0 - 120.1) <EA92FCA5-7A7E-328F-8C7F-4250FCC45879> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x96fdf000 - 0x9705bff3  com.apple.PDFKit (2.6 - 2.6) <484AB8A4-E967-3B2F-BEFE-4B74F72B65A2> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x9705c000 - 0x970adff9  com.apple.ScalableUserInterface (1.0 - 1) <C3FA7E40-0213-3ABC-A006-2CB00B6A7EAB> /System/Library/Frameworks/QuartzCore.framework/Versions/A/Frameworks/ScalableUserInterface.framework/Versions/A/ScalableUserInterface
0x970ba000 - 0x970cafff  libsasl2.2.dylib (3.15.0 - compatibility 3.0.0) <D6F728DA-990A-32A3-86FA-4A3F4D88E309> /usr/lib/libsasl2.2.dylib
0x970cb000 - 0x97114ff7  libGLU.dylib (??? - ???) <3524C956-C8B2-3E8B-805D-9E25E5481A58> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x9712b000 - 0x9713bfff  com.apple.LangAnalysis (1.7.0 - 1.7.0) <6D6F0C9D-2EEA-3578-AF3D-E2A09BCECAF3> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x97144000 - 0x9722cfff  libxml2.2.dylib (10.3.0 - compatibility 10.0.0) <ED3F5E83-8C76-3D46-B2FF-0D5BDF8970C5> /usr/lib/libxml2.2.dylib
0x9722d000 - 0x97303ff3  com.apple.avfoundation (2.0 - 180.23) <428C1F5D-B786-3392-ADF4-43572D1722DE> /System/Library/Frameworks/AVFoundation.framework/Versions/A/AVFoundation
0x97304000 - 0x9739fff3  com.apple.ink.framework (1.3.2 - 110) <9F6F37F9-999E-30C5-93D0-E48D4B5E20CD> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x97598000 - 0x976a3ffb  com.apple.DesktopServices (1.6.0 - 1.6.0) <66E2BD3A-958A-3F46-8DA0-C0F2358013B0> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x976a4000 - 0x976acfff  com.apple.DiskArbitration (2.4 - 2.4) <E574D5E7-7297-33B5-8B91-1E6346D5F917> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x976ad000 - 0x976d7ff0  libpcre.0.dylib (1.1.0 - compatibility 1.0.0) <5CAA1478-97E0-31EA-8F50-BF09D665DD84> /usr/lib/libpcre.0.dylib
0x97700000 - 0x9771ffff  com.apple.RemoteViewServices (1.0 - 1) <D9810485-6A62-3758-96F5-48950AF250F1> /System/Library/PrivateFrameworks/RemoteViewServices.framework/Versions/A/RemoteViewServices
0x9847d000 - 0x984e2ff7  libvDSP.dylib (325.3.0 - compatibility 1.0.0) <1C4B66EB-3186-31BE-B93F-878E49334C49> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x98522000 - 0x98523ff7  libquarantine.dylib (36.0.0 - compatibility 1.0.0) <70782AEC-8933-3EB4-91CA-E44C0E768C90> /usr/lib/system/libquarantine.dylib
0x98524000 - 0x98554ff7  libsystem_info.dylib (??? - ???) <C385F5A9-458A-3B49-9CC7-EA81DC5F9141> /usr/lib/system/libsystem_info.dylib
0x98555000 - 0x98560fff  libkxld.dylib (??? - ???) <088640F2-429D-3368-AEDA-3C308C4EB80C> /usr/lib/system/libkxld.dylib
0x98561000 - 0x98566ffb  com.apple.phonenumbers (1.0 - 47) <84484814-C9BE-33E7-A3DF-4DD0E970B902> /System/Library/PrivateFrameworks/PhoneNumbers.framework/Versions/A/PhoneNumbers
0x9856b000 - 0x98579fff  libdispatch.dylib (187.5.0 - compatibility 1.0.0) <1883C8E2-D180-3EA0-8BEF-325F2FEDACD1> /usr/lib/system/libdispatch.dylib
0x98674000 - 0x98677ffb  com.apple.help (1.3.2 - 42) <DDCEBA10-5CDE-3ED2-A52F-5CD5A0632CA2> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x98693000 - 0x986a4fff  libbsm.0.dylib (??? - ???) <54ACF696-87C6-3652-808A-17BE7275C230> /usr/lib/libbsm.0.dylib
0x986a5000 - 0x98795ff1  libiconv.2.dylib (7.0.0 - compatibility 7.0.0) <9E5F86A3-8405-3774-9E0C-3A074273C96D> /usr/lib/libiconv.2.dylib
0x9879a000 - 0x98821fff  com.apple.print.framework.PrintCore (7.0 - 366) <D037D344-7463-3620-AE8F-8D0D3EA5CE8E> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x98823000 - 0x98845ff1  com.apple.PerformanceAnalysis (1.10 - 10) <45B10D4C-9B3B-37A6-982D-687A6F9EEA28> /System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis
0x98846000 - 0x98846fff  com.apple.vecLib (3.7 - vecLib 3.7) <A01CD788-26FB-320F-8617-5A7DF0F9031E> /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x98847000 - 0x9891dff6  com.apple.QuickLookUIFramework (3.0 - 489.1) <DC6303F6-F343-37C5-AE54-F5FD606FE78C> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x98c93000 - 0x98d27ff7  com.apple.LaunchServices (480.19 - 480.19) <A68C0688-4ED1-35F1-BF44-F5B1917084A0> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x98d28000 - 0x98fd1ff7  com.apple.AddressBook.framework (6.0 - 1043) <54E6D4A0-2799-386D-B53A-9582393E5E5E> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x98fe3000 - 0x99026ffd  libcommonCrypto.dylib (55010.0.0 - compatibility 1.0.0) <4BA1F5F1-F0A2-3FEB-BB62-F514DCBB3725> /usr/lib/system/libcommonCrypto.dylib
0x99027000 - 0x9909fff2  com.apple.CorePDF (3.0 - 3.0) <A0EC8F60-A622-347E-979A-F71939C45E5F> /System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF
0x990ec000 - 0x99133fff  com.apple.SystemConfiguration (1.11 - 1.11) <A7769080-2A4F-36AF-9484-08A936690307> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x99134000 - 0x99149fff  com.apple.speech.synthesis.framework (4.0.74 - 4.0.74) <92AADDB0-BADF-3B00-8941-B8390EDC931B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x991cb000 - 0x991e8ff3  com.apple.openscripting (1.3.3 - ???) <31A51238-0CA1-38C7-9F0E-8A6676EE3241> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x99393000 - 0x993e3ff4  libTIFF.dylib (??? - ???) <25796A90-ABD2-3A3A-800C-1056D343A71F> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x993e4000 - 0x993e4fff  com.apple.audio.units.AudioUnit (1.7 - 1.7) <75E38B34-1DE2-337A-A09F-0F7E91C02ABB> /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x993fd000 - 0x9940afff  libGL.dylib (??? - ???) <C1C549FC-FF7F-3012-9DF5-5255217B4AEA> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x9940b000 - 0x9951cff7  libJP2.dylib (??? - ???) <E938C201-C508-3E3D-B9A9-81FE52349E1B> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x9976b000 - 0x9976cffd  com.apple.MonitorPanelFramework (1.4.0 - 1.4.0) <45AC1CB9-2A81-3FEA-9BA4-E9BBA2582A28> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
0x9976d000 - 0x99771ffa  libcache.dylib (47.0.0 - compatibility 1.0.0) <98A82BC5-0DD9-3212-9CAE-35A77278EEB6> /usr/lib/system/libcache.dylib
0x999ae000 - 0x99a07ff3  com.apple.coreui (0.3 - 162) <BD3FBC84-234A-38E0-AA29-DE0424D3FD16> /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x99a08000 - 0x99a0bffd  libCoreVMClient.dylib (??? - ???) <1438A7D5-A622-3623-A49F-45F881B1D947> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCoreVMClient.dylib
0x99a0c000 - 0x99dffff7  com.apple.VideoToolbox (1.0 - 705.35) <B0D04F08-D3EB-370A-A56F-8AF01116B0D0> /System/Library/PrivateFrameworks/VideoToolbox.framework/Versions/A/VideoToolbox
0x99e00000 - 0x99e60ffb  com.apple.audio.CoreAudio (4.0.0 - 4.0.0) <6026C895-3DC6-3785-A7BB-2F2B9E292D95> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x99e61000 - 0x99e6ffff  com.apple.opengl (1.7.4 - 1.7.4) <C6DE3D3A-CC1F-3F55-B8DD-2637FA40058F> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x99e70000 - 0x99ec8fff  com.apple.HIServices (1.9 - ???) <058E00E0-F1B4-395F-813E-C49C0C5F3BA9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9a029000 - 0x9a02effd  libGFXShared.dylib (??? - ???) <7C55BE22-CDB5-3192-B7F0-96EA754A20AC> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib
0x9a06c000 - 0x9a077ffb  com.apple.speech.recognition.framework (4.0.19 - 4.0.19) <17C11291-5B27-3BE2-8614-7A806745EE8A> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x9a08a000 - 0x9a14afff  com.apple.CoreServices.OSServices (478.25.1 - 478.25.1) <7971F047-D9EF-3D9C-A65F-E5A8C6CECF06> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x9a14b000 - 0x9a178ff7  com.apple.securityinterface (5.0 - 55004) <93C0285A-A266-3F21-82C9-434CBD3FA712> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x9a179000 - 0x9a206fe7  libvMisc.dylib (325.3.0 - compatibility 1.0.0) <A44ADE1B-AB2C-3585-8C9D-D85B526E66C0> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x9a29f000 - 0x9a2a7ff3  liblaunch.dylib (392.18.0 - compatibility 1.0.0) <CD470A1E-0147-3CB1-B44D-0B61F9061826> /usr/lib/system/liblaunch.dylib
0x9a2a8000 - 0x9a2d6ffb  com.apple.DictionaryServices (1.2 - 158) <C614930F-520D-3F77-AD0D-0E16FBCB98CE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x9a2da000 - 0x9a2f0ffe  libxpc.dylib (77.16.0 - compatibility 1.0.0) <2EAF3E13-19FA-3EF2-88D6-64ACBC3A6ADB> /usr/lib/system/libxpc.dylib
0x9a358000 - 0x9a358fff  com.apple.Accelerate (1.7 - Accelerate 1.7) <881C1C85-2DEC-38DE-BC97-7804BC907282> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x9a359000 - 0x9a573ff7  com.apple.JavaScriptCore (7534 - 7534.48) <430C2E37-5E97-3C16-9BC9-D8478F7A6CF6> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x9a5b4000 - 0x9a5bbfff  libnotify.dylib (80.0.0 - compatibility 1.0.0) <B3B3875D-311D-31A7-A09F-D1BC56795E00> /usr/lib/system/libnotify.dylib
0x9a5cd000 - 0x9a781ff3  libicucore.A.dylib (46.1.0 - compatibility 1.0.0) <6270318A-CA9A-376C-AD6D-64A9B4B4A26E> /usr/lib/libicucore.A.dylib
0x9a7a7000 - 0x9a7e8ff7  com.apple.CoreMedia (1.0 - 705.35) <8A487271-FBEA-357A-8887-27BAA355314C> /System/Library/Frameworks/CoreMedia.framework/Versions/A/CoreMedia
0x9a7e9000 - 0x9a8bfa5b  libobjc.A.dylib (228.0.0 - compatibility 1.0.0) <A0EDB351-4B9D-3AA2-9D1A-0C22204FCCD3> /usr/lib/libobjc.A.dylib
0x9a8c0000 - 0x9a8c8ffb  com.apple.DisplayServicesFW (2.5.0 - 302.1.2) <AD856B0D-3602-3C37-8B64-C6BB53A6F248> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x9a930000 - 0x9ad32ff6  libLAPACK.dylib (??? - ???) <00BE0221-8564-3F87-9F6B-8A910CF2F141> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x9ad3c000 - 0x9ad55fff  libPng.dylib (??? - ???) <2C47E152-240A-36A7-87A8-3856EDFF2FE8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x9ad56000 - 0x9ad5ffff  libc++abi.dylib (14.0.0 - compatibility 1.0.0) <FEB5330E-AD5D-37A0-8AB2-0820F311A2C8> /usr/lib/libc++abi.dylib
0x9ad60000 - 0x9ad88ff7  libxslt.1.dylib (3.24.0 - compatibility 3.0.0) <FCAC685A-724F-3FE7-8416-146108DF75FB> /usr/lib/libxslt.1.dylib
0x9ad89000 - 0x9b265ff6  libBLAS.dylib (??? - ???) <327C1517-2B63-3D8C-8D8E-CB4EBA2A9C36> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x9b266000 - 0x9b2a2ffa  libGLImage.dylib (??? - ???) <7A150184-E3F7-3773-917A-A5E24B9241FA> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x9b2b5000 - 0x9b2e9ff8  libssl.0.9.8.dylib (0.9.8 - compatibility 0.9.8) <240A755A-8B80-354C-A5BF-42D7B5A68409> /usr/lib/libssl.0.9.8.dylib
0x9b2ea000 - 0x9b3c7ff3  com.apple.backup.framework (1.3 - 1.3) <7FA7E2E6-9E99-3F1B-B276-5216D0883DFD> /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x9b3c8000 - 0x9ba43ff9  com.apple.CoreAUC (6.11.03 - 6.11.03) <E8553EC9-6A7E-339E-B346-A5853649D3A0> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
0x9bb18000 - 0x9bb19fff  libDiagnosticMessagesClient.dylib (??? - ???) <DB3889C2-2FC2-3087-A2A2-4C319455E35C> /usr/lib/libDiagnosticMessagesClient.dylib
0x9bb1a000 - 0x9bb1efff  libGIF.dylib (??? - ???) <F6094267-AB0E-38FC-8201-510AA4BDC974> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x9bb1f000 - 0x9bb1ffff  com.apple.Carbon (153 - 153) <6FF98F0F-2CDE-3888-A304-4ED447D24CE3> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x9bb20000 - 0x9bb70fff  libFontRegistry.dylib (??? - ???) <BC35B8F5-7CCA-3A04-A278-FA3306B2C4F8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/libFontRegistry.dylib
0x9bb71000 - 0x9bb88ff8  com.apple.CoreMediaAuthoring (2.0 - 889) <49B55753-BD7E-3889-BA60-15294DA49CB7> /System/Library/PrivateFrameworks/CoreMediaAuthoring.framework/Versions/A/CoreMediaAuthoring
0x9bb89000 - 0x9bb8affd  libCVMSPluginSupport.dylib (??? - ???) <8057030D-B290-3A8B-9828-3A1BD123B124> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libCVMSPluginSupport.dylib
0x9bb8b000 - 0x9bb8bff2  com.apple.CoreServices (53 - 53) <C513E133-B0E0-3C35-A7CB-DBC35A7EF571> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x9bb8c000 - 0x9bba1ff7  com.apple.ImageCapture (7.0 - 7.0) <116BC0CA-428E-396F-85DF-52793034D2A0> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9bba2000 - 0x9bbcdfff  com.apple.GSS (2.1 - 2.0) <129F4AB0-41AC-3713-A7BC-921769B0E12D> /System/Library/Frameworks/GSS.framework/Versions/A/GSS
0x9bbce000 - 0x9bbcefff  com.apple.Accelerate.vecLib (3.7 - vecLib 3.7) <CB952B04-595A-332B-992B-7671815750FD> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9bbcf000 - 0x9bd30ffb  com.apple.QuartzCore (1.7 - 269.0) <221FF6A0-9C2C-3977-BC2A-A84C392BA49B> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9c138000 - 0x9c1adfff  com.apple.Metadata (10.7.0 - 627.9) <1EF7D615-3DF4-3F5D-88CE-6BDFA120FE32> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9c1ae000 - 0x9c238ffb  com.apple.SearchKit (1.4.0 - 1.4.0) <C8567435-9CD1-35EE-AE05-304D28858C42> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x9c239000 - 0x9c68efff  FaceCoreLight (1.4.2 - compatibility 1.0.0) <53AC5DCE-D04B-3DC3-808D-AA1CAD4D0924> /System/Library/PrivateFrameworks/FaceCoreLight.framework/Versions/A/FaceCoreLight
0x9c68f000 - 0x9c698ff3  com.apple.CommonAuth (2.1 - 2.0) <94EA2555-212C-3704-8307-FCEE5D6D32C5> /System/Library/PrivateFrameworks/CommonAuth.framework/Versions/A/CommonAuth

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 2
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 11246
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=194.5M resident=104.6M(54%) swapped_out_or_unallocated=89.8M(46%)
Writable regions: Total=47.5M written=616K(1%) resident=1324K(3%) swapped_out=0K(0%) unallocated=46.2M(97%)
 
REGION TYPE                      VIRTUAL
===========                      =======
CG shared images                    128K
CoreServices                       1752K
MALLOC                             20.3M
MALLOC guard page                    48K
Mach message                          8K
Memory tag=242                       12K
Stack                              66.5M
VM_ALLOCATE                        16.0M
__CI_BITMAP                          80K
__DATA                             10.1M
__DATA/__OBJC                        32K
__IMAGE                            1256K
__IMPORT                              4K
__LINKEDIT                         44.2M
__OBJC                             2816K
__OBJC/__DATA                       252K
__PAGEZERO                            4K
__TEXT                            150.3M
__UNICODE                           544K
mapped file                       104.8M
shared memory                       308K
shared pmap                        8048K
===========                      =======
TOTAL                             427.1M

System Profile:
Model: MacBookPro5,2, BootROM MBP52.008E.B05, 2 processors, Intel Core 2 Duo, 2.66 GHz, 4 GB, SMC 1.42f4
Graphics: NVIDIA GeForce 9600M GT, NVIDIA GeForce 9600M GT, PCIe, 512 MB
Graphics: NVIDIA GeForce 9400M, NVIDIA GeForce 9400M, PCI, 256 MB
Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1067 MHz, 0x80CE, 0x4D34373142353637334548312D4346382020
Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1067 MHz, 0x80CE, 0x4D34373142353637334548312D4346382020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0x8D), Broadcom BCM43xx 1.0 (5.100.98.75.10)
Bluetooth: Version 2.5.0f17, 2 service, 12 devices, 1 incoming serial ports
Network Service: Ethernet, Ethernet, en0
Serial ATA Device: ST9320421ASG, 320.07 GB
Serial ATA Device: MATSHITADVD-R   UJ-868
USB Device: Built-in iSight, apple_vendor_id, 0x8507, 0x24400000 / 2
USB Device: Apple Internal Keyboard / Trackpad, apple_vendor_id, 0x0236, 0x04600000 / 3
USB Device: IR Receiver, apple_vendor_id, 0x8242, 0x04500000 / 2
USB Device: Optical Mouse, 0x0458  (KYE Systems Corp.), 0x003a, 0x06400000 / 3
USB Device: BRCM2046 Hub, 0x0a5c  (Broadcom Corp.), 0x4500, 0x06100000 / 2
USB Device: Bluetooth USB Host Controller, apple_vendor_id, 0x8217, 0x06110000 / 6
(Reporter)

Comment 6

7 years ago
Judging by the SeaMonkey 1.1.18 behavior, I would suspect that transition to Lion broke something in pdf rendering. Firefox works perfectly (7.0.1). Maybe SeaMonkey should be configured in this respect exactly like Firefox?

Comment 7

6 years ago
> please tell me where this about:crashes is

You type it (about:crashes) into the URL (location) bar.
(Reporter)

Comment 8

6 years ago
ID: b06dcbd6-5ee2-4af3-8c16-8b0702111013
Signature: PDF Browser Plugin@0x2c7f3

    Details
    Modules
    Raw Dump
    Extensions
    Comments
    Correlations

Signature	PDF Browser Plugin@0x2c7f3
UUID	b06dcbd6-5ee2-4af3-8c16-8b0702111013
Date Processed	2011-10-13 11:57:06.440456
Uptime	82
Last Crash	2.0 minutes before submission
Install Age	1.9 weeks since version was first installed.
Install Time	2011-09-30 07:28:19
Product	SeaMonkey
Version	2.4.1
Build ID	20110928154534
Release Channel	release
OS	Mac OS X
OS Version	10.7.2 11C74
CPU	x86
CPU Info	family 6 model 23 stepping 10
Crash Reason	EXC_BAD_ACCESS / KERN_PROTECTION_FAILURE
Crash Address	0x0
User Comments	
App Notes 	Renderers: 0x22600,0x22600,0x20400
Processor Notes 	
EMCheckCompatibility	True
Winsock LSP	
Adapter Vendor ID	
Adapter Device ID	
Bugzilla - Report this Crash
Crashing Thread
Frame 	Module 	Signature [Expand] 	Source
0 	PDF Browser Plugin 	PDF Browser Plugin@0x2c7f3 	
1 	PDF Browser Plugin 	PDF Browser Plugin@0x476c0 	
2 	PDF Browser Plugin 	PDF Browser Plugin@0x1e1d 	
3 	XUL 	nsNPAPIPluginInstance::HandleEvent 	dom/plugins/base/nsNPAPIPluginInstance.cpp:583
4 	XUL 	nsPluginInstanceOwner::ProcessEvent 	dom/plugins/base/nsPluginInstanceOwner.cpp:2135
5 	XUL 	nsPluginInstanceOwner::FixUpPluginWindow 	dom/plugins/base/nsPluginInstanceOwner.cpp:3274
6 	XUL 	nsObjectFrame::CallSetWindow 	layout/generic/nsObjectFrame.cpp:802
7 	XUL 	nsPluginInstanceOwner::SetWindow 	dom/plugins/base/nsPluginInstanceOwner.cpp:779
8 	XUL 	nsPluginHost::InstantiateFullPagePlugin 	dom/plugins/base/nsPluginHost.cpp:1167
9 	XUL 	nsObjectFrame::InstantiatePlugin 	layout/generic/nsObjectFrame.cpp:728
10 	XUL 	nsObjectFrame::Instantiate 	layout/generic/nsObjectFrame.cpp:2198
11 	XUL 	mozilla::dom::PluginStreamListener::SetupPlugin 	content/html/document/src/PluginDocument.cpp:160
12 	XUL 	mozilla::dom::PluginStreamListener::OnStartRequest 	content/html/document/src/PluginDocument.cpp:118
13 	XUL 	nsDocumentOpenInfo::OnStartRequest 	uriloader/base/nsURILoader.cpp:305
14 	XUL 	nsHttpChannel::CallOnStartRequest 	netwerk/protocol/http/nsHttpChannel.cpp:717
15 	XUL 	nsHttpChannel::ContinueProcessNormal 	netwerk/protocol/http/nsHttpChannel.cpp:1168
16 	XUL 	nsHttpChannel::ProcessNormal 	netwerk/protocol/http/nsHttpChannel.cpp:1105
17 	XUL 	nsHttpChannel::ProcessResponse 	netwerk/protocol/http/nsHttpChannel.cpp:1055
18 	XUL 	nsHttpChannel::OnStartRequest 	netwerk/protocol/http/nsHttpChannel.cpp:4015
19 	XUL 	nsInputStreamPump::OnInputStreamReady 	netwerk/base/src/nsInputStreamPump.cpp:441
20 	XUL 	nsInputStreamReadyEvent::Run 	xpcom/io/nsStreamUtils.cpp:114
21 	XUL 	nsThread::ProcessNextEvent 	xpcom/threads/nsThread.cpp:617
22 	XUL 	NS_ProcessPendingEvents_P 	objdir/i386/mozilla/xpcom/build/nsThreadUtils.cpp:195
23 	XUL 	nsBaseAppShell::NativeEventCallback 	widget/src/xpwidgets/nsBaseAppShell.cpp:130
24 	XUL 	nsAppShell::ProcessGeckoEvents 	widget/src/cocoa/nsAppShell.mm:422
25 	CoreFoundation 	CoreFoundation@0x1184e 	
26 	CoreFoundation 	CoreFoundation@0x11205 	
27 	CoreFoundation 	CoreFoundation@0x3b0d7 	
28 	CoreFoundation 	CoreFoundation@0x3a8eb 	
29 	CoreFoundation 	CoreFoundation@0x3a797 	
30 	HIToolbox 	HIToolbox@0x2a7e 	
31 	HIToolbox 	HIToolbox@0x9d9a 	
32 	HIToolbox 	HIToolbox@0x9c09 	
33 	AppKit 	AppKit@0xa03f 	
34 	AppKit 	AppKit@0x98aa 	
35 	AppKit 	AppKit@0x5c21 	
36 	XUL 	nsAppShell::Run 	widget/src/cocoa/nsAppShell.mm:769
37 	XUL 	nsAppStartup::Run 	toolkit/components/startup/nsAppStartup.cpp:222
38 	XUL 	XRE_main 	toolkit/xre/nsAppRunner.cpp:3570
39 	seamonkey-bin 	main 	suite/app/nsSuiteApp.cpp:103
40 	seamonkey-bin 	seamonkey-bin@0xc75 	
41 		@0x1 	

Show/hide other threads
Mozilla Crash Reports - Powered by Socorro

    Server Status
    Project Info
    Source Code
    Breakpad Wiki
    Privacy Policy

    Log In

Comment 9

6 years ago
(Just to note, with the crash report link, anyone can break up the associated data, so no need to necessarily post the same in your reply.)

Seems a Mac too can generate a crash log that can be analyzed.

http://developer.apple.com/library/mac/technotes/tn2004/tn2123.html

http://goo.gl/HFCq4

Updated

6 years ago
Crash Signature: [@PDF Browser Plugin@0x2c7f3]
Component: Download & File Handling → Plug-ins
Keywords: crash
Product: SeaMonkey → Core
QA Contact: download → plugins
Summary: PDF browser plugin crash → PDF browser plugin crash (Mac OS X 10.7)
Version: Seamonkey 2.4 Branch → 7 Branch

Updated

6 years ago
Severity: normal → critical

Comment 10

6 years ago
Where does one get "PDF Browser Plugin"? Since it is the plugin that's crashing and we don't have the source code for the plugin, we probably can't do much about it other than blocking this plugin completely (which should cause the PDF to be downloaded so you can open it in Viewer). Is that the desired outcome here, or have you reported this crash to the plugin authors also?
(Reporter)

Comment 11

6 years ago
It is a well-known plugin that works in all browsers on Mac computers, and the only one that reliably displays PDF files within Mac browsers. The developer site is www.schubert-it.com/pluginpdf/
The plugin author apparently has nothing to do with the bug because SeaMonkey is the only browser that crashes this plugin. Safari, Firefox, Opera, iCab all work fine. Moreover, if you paid attention, you would have seen that the crash only happens on Elsevier journal sites. All other PDF files display correctly. Can't you just compare SeaMonkey with Firefox (same platform in my understanding) and see what the difference with SeaMonkey could be the culprit.

Comment 12

6 years ago
There are no significant differences other than perhaps the useragent string. I'm going to mark this INCOMPLETE since there is nothing we can do to diagnose the crash which is occuring in the plugin code.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → INCOMPLETE
(Reporter)

Comment 13

6 years ago
An interesting follow-up. Today, the pdfs from Elsevier started opening normally in SeaMonkey 2.4.1. No crashes. My guess would be it was something to do with the University proxy server that connects me to PubMed where I retrieve PDF files from. The internet login to the server is the only site that does not save (or even offer to save) passwords in any browser except iCab. Although, Firefox and SeaMonkey allow to type one letter of the login only, then the whole login appears and the password is automatically inserted. Looks like it some minor bug in Lion Keychain access (under Snow Leopard everything could be saved in Mozilla browsers).
Looks like this case can be closed. Thanks everybody!

Updated

6 years ago
Resolution: INCOMPLETE → WORKSFORME

Comment 14

5 years ago
It's #8 top crasher in 18.0b2 on Mac OS X.

More reports at:
https://crash-stats.mozilla.com/report/list?signature=PDF+Browser+Plugin%400x2c7f3
Status: RESOLVED → REOPENED
Ever confirmed: true
Resolution: WORKSFORME → ---
Version: 7 Branch → 18 Branch

Comment 15

5 years ago
It's now #2 top crasher on Mac OS X in 18.0.
19.0 and above are currently unaffected.

It happens with a single PDF Browser Plugin version:
  PDF Browser Plugin@0x2c7f3|EXC_BAD_ACCESS / KERN_PROTECTION_FAILURE (37 crashes)
    100% (37/37) vs.   3% (49/1720) PDF Browser Plugin
          0% (0/37) vs.   0% (6/1720) 688762690F5E3BCCA85F3521BD368F850
          0% (0/37) vs.   0% (2/1720) 779DE0DBA8E9343188729D92F30239880
          0% (0/37) vs.   0% (3/1720) A2D22B9DBD693DDF9AE571C337EF0C7C0
          0% (0/37) vs.   0% (1/1720) AD5EA4F0DA2B3F1446BF5472539851150
        100% (37/37) vs.   2% (37/1720) D22D43A1E0573B278467C8CCBF8CB0C00
Crash Signature: [@PDF Browser Plugin@0x2c7f3] → [@ PDF Browser Plugin@0x2c7f3]
status-firefox18: --- → affected
Keywords: topcrash
Summary: PDF browser plugin crash (Mac OS X 10.7) → PDF browser plugin crash
The most recent version is A2D22B9DBD693DDF9AE571C337EF0C7C0 (2.4.4), so the crashes must be happening with an older version.
Should we possibly consider forcing upgrades via blocklisting?

Comment 17

5 years ago
(In reply to Georg Fritzsche [:gfritzsche] from comment #16)
> Should we possibly consider forcing upgrades via blocklisting?
We just need to know the cutoff version, the one that matches the D22D43A1E0573B278467C8CCBF8CB0C00 debug ID.
Older versions are not available for download, but piecing it together from comment 0 and comment 5 this appears to be 2.4.2:
> <D22D43A1-E057-3B27-8467-C8CCBF8CB0C0> /Library/Internet Plug-Ins/PDF
> Browser Plugin.plugin/Contents/MacOS/PDF Browser Plugin

Updated

5 years ago
Depends on: 830410

Comment 19

5 years ago
Does the "bad" version of the plugin crash every time it is used, or only in some cases? I'm trying to decide whether we should implement a hardblock or a CTP block.
(In reply to Benjamin Smedberg  [:bsmedberg] from comment #19)
> Does the "bad" version of the plugin crash every time it is used, or only in
> some cases?

Hard to tell without access to the affected version. The few comments on the reports indicate that it is happening on every click for those users:

* "Every time I click on a pdf FF crashes."
* "Problem with pdf plugin. Every time I try to access a pdf the browser crashes."
* "Whenever I try to open this link: http://www.sunrivervacations.com/map.pdf Firefox crashes. I can open this link on Safari. This problem just started."
For what it's worth, on 10.8 with 2.4.4 of the plug-in and FF18, I can open http://www.sunrivervacations.com/map.pdf without any problems.
On the other hand, http://www.sunrivervacations.com/map.pdf does cause trouble in PDF.js in nightly; it fails to display and tells us there is a problem.  So, there could be something "special" about this PDF.
See Also: → bug 831880
FWIW that PDF is fine in Adobe Reader for me, so that maybe just a PDF.js issue.
By the way, can we close this with the block being live or should we wait for crash-stats confirmation?

Comment 25

5 years ago
It's now only #22 top crasher in 18.0.1 on Mac OS X.
Keywords: topcrash

Comment 26

4 years ago
> Older versions are not available for download

http://www.schubert-it.com/downloads/pdf-plugin-242.dmg

> the one that matches the D22D43A1E0573B278467C8CCBF8CB0C00 debug ID

How does one determine a "debug ID"?
Is it supposed to be within the .dmg or is it calculated or?
We determine the debug id / module id via the dump_syms tool from Breakpad [1].
However, we already matched the version to debug-id over in bug 830410 as far as i recall. Please upgrade to the newest plugin version if you have issues.

[1] http://dxr.mozilla.org/mozilla-central/source/toolkit/crashreporter/google-breakpad/src/tools/mac/dump_syms
I do only see 5 crashes in crash-stats in the last 28 days, all for D22D43A1E0573B278467C8CCBF8CB0C00.
Closing for now based on that.
Status: REOPENED → RESOLVED
Last Resolved: 6 years ago4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.